- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
API Version : 2026-10-01-preview
Retrieves details of a specific VM extension within an organization.
HTTP request
GET https://compute.googleapis.com/compute/v1/{organization=organizations/*}/zones/{zone}/vmExtensions/{extensionName}?$apiVersion=2026-10-01-preview The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
organization |
Organization ID for this request. |
zone |
Name of the zone for this request. |
extensionName |
Required. Name of the VM extension for this request. |
Request body
The request body must be empty.
Response body
A VM extension that can be installed on a VM.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "name": string, "versions": [ string ] } |
| Fields | |
|---|---|
name |
The name of the vm extension. |
versions[] |
The latest 10 versions of the vm extension. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.orgVmExtensions.get
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.